- Random123-1.09 Documentation

Public Member Functions | Public Attributes

# aesni1xm128i_key_t Struct Reference
[ARS and AESNI Classes and Typedefs]

`#include <Random123/aes.h>`

List of all members.

## Public Member Functions
| aesni1xm128i_key_t ()
| aesni1xm128i_key_t (const aesni1xm128i_ukey_t &uk)
| aesni1xm128i_key_t (const aesni4x32_ukey_t &uk)
aesni1xm128i_key_t & | operator= (const aesni1xm128i_ukey_t &uk)
aesni1xm128i_key_t & | operator= (const aesni4x32_ukey_t &uk)
## Public Attributes
__m128i | k [11]

## Detailed Description

## Constructor & Destructor Documentation

aesni1xm128i_key_t::aesni1xm128i_key_t | ( |  | ) | `[inline]`

aesni1xm128i_key_t::aesni1xm128i_key_t | ( | const aesni1xm128i_ukey_t & | uk | ) | `[inline]`

aesni1xm128i_key_t::aesni1xm128i_key_t | ( | const aesni4x32_ukey_t & | uk | ) | `[inline]`

## Member Function Documentation

aesni1xm128i_key_t& aesni1xm128i_key_t::operator= | ( | const aesni1xm128i_ukey_t & | uk | ) | `[inline]`

aesni1xm128i_key_t& aesni1xm128i_key_t::operator= | ( | const aesni4x32_ukey_t & | uk | ) | `[inline]`

## Member Data Documentation

__m128i aesni1xm128i_key_t::k[11]

The documentation for this struct was generated from the following file:

- Random123/aes.h

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines